// {} Librerías e importaciones

// ! Tabla
import Tabla from "../../elementos/tabla.js";

// {}
(() => {

  // ! Declaración de variables
  let peticion = { actual: null }

  // !
  new Tabla({
    configuracion: {
      dom: `ft`
    }
  }).inicializar();

	// !
	$(id_cliente).focusout(function(evento) {

		// +
		if (!this.value)
			return formularioConexiones.reset()
		;

		// + Condición para verificar si la
		// + petición existe y cancelarla
		peticion.actual &&
		peticion.actual.abort();

		// + Petición hacía el
		// + controlador 'traerRegistros'
		peticion.actual = $.ajax({
			url: `${window.aplicacion.enlace}/ejecutar`,
			data: {
				procedimiento: 'p_traer_unico_registro',
				renglon: 'CLIENTE',
				id_renglon: this.value
			},
			beforeSend: function(peticion, configuracion) {},
			success: function(respuesta, estado, peticion) {},
			error: function(peticion, estado) {},
			complete: function(peticion, estado) {},
			campo: { elemento: this },
			formulario: { elemento: formularioConexiones }
		})

	});

  // !
  $('#tablaRegistros tbody').click('tr', function(evento) {

  });

	// !
	$(document).on('ajaxSuccess', function(evento, configuracion) {

    if (
      window.aplicacion.peticion.formulario.elemento === formularioConexiones &&
      window.aplicacion.peticion.formulario.exitosa.propiedad === peticion
    ) {

    }

  });

	if (window.opener && window.opener !== window) {
		console.log('esto es un popup')
	}

})()
